Package org.apache.felix.http.javaxwrappers

# Class ServletExceptionWrapper

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.servlet.ServletException
org.apache.felix.http.javaxwrappers.ServletExceptionWrapper

All Implemented Interfaces:
  `Serializable`

public class ServletExceptionWrapper extends javax.servlet.ServletException
Wrapper for servlet exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ServletExceptionWrapper(@NotNull jakarta.servlet.ServletException e)`
Create new wrapepr exception

## Method Summary

Modifier and Type
Method
Description
`@NotNull jakarta.servlet.ServletException`
`getException()`
Get the original exception

### Methods inherited from class javax.servlet.ServletException

`getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServletExceptionWrapper

public ServletExceptionWrapper(@NotNull @NotNull jakarta.servlet.ServletException e)
Create new wrapepr exception

Parameters:
  `e` - Original exception

## Method Details

### getException

@NotNull public @NotNull jakarta.servlet.ServletException getException()
Get the original exception

Returns:
  The original exception